using Microsoft.AspNetCore.Mvc;
using MyCities.Models;

namespace MyCities.Controllers
{
    public class HomeController : Controller
    {
        private IRepository _repository;

        public HomeController(IRepository repository)
        {
            _repository = repository;
        }

        public IActionResult Index()
        {
            return View(_repository.Cities);
        }

        [HttpGet]
        public IActionResult Create()
        {
            return View();
        }

        [HttpPost]
        public IActionResult Create(City city)
        {
            _repository.Add(city);
            return RedirectToAction("Index");
        }
    }
}
